xtide(1)

NAME
xtide - Harmonic tide clock and tide predictor (interactive client)

SYNOPSIS
xtide [-b ``YYYY-MM-DD HH:MM''] [-bc color] [-bg color] [-cb y|n] [-cc color] [-ch pixels] [-cw pixels] [-dc color] [-Dc color] [-df ``format-string''] [-display ``X display''] [-ec color] [-el y|n] [-em pSsMm] [-fc color] [-fe y|n] [-fg color] [-fn font] [-ga aspect] [-geometry ``±XOFF±YOFF''] [-gf font] [-gh pixels] [-gl longitude] [-gs d|l|s] [-gt y|n] [-gw pixels] [-hf ``format-string''] [-in y|n] [-l ``location name''] [-lw pixels] [-m a|g|k|m|p|r] [-mc color] [-Mc color] [-mf font] [-ml [-]N.NN(ft|m|kt)] [-nc color] [-tc color] [-tf ``format-string''] [-tl y|n] [-to opacity] [-u ft|m] [-v] [-z y|n]

DESCRIPTION
XTide is a package that provides tide and current predictions in a wide variety of formats. Graphs, text listings, and calendars can be generated, or a tide clock can be provided on your desktop.

XTide can work with X-windows, plain text terminals, or the web. This is accomplished with three separate programs: the interactive interface (xtide), the non-interactive or command line interface (tide), and the web interface (xttpd).

xtide is the interactive X-windows client for XTide 2. Although in reality it accepts many command line options, you should not need to use them; everything can be done interactively. Just run xtide and point and click your way to whatever you need. If you get stuck, click on a `?' button for on-line help.

For a complete discussion of the command line options and a detailed explanation of the interactive interface, please see the verbose documentation at http://www.flaterco.com/xtide/.

CONFIGURATION
Unless a configuration file /etc/xtide.conf is supplied, you must set the environment variable HFILE_PATH to point to the harmonics files that should have been installed along with the xtide program. Example:
    export HFILE_PATH=/usr/local/share/xtide/harmonics.tcd
If a configuration file is used, the first line should consist of the colon-separated list of harmonics files (e.g. the HFILE_PATH line above without the "export HFILE_PATH=" part). The environment variable takes precedence over the configuration file.

If the optional World Vector Shoreline files have been installed, the path to those files can be supplied in the WVS_DIR environment variable or as the second line of the configuration file.

Set the environment variable XTIDE_DEFAULT_LOCATION to the name of your favorite place if you want to skip the location-choosing step.

OPTIONS

-b ``YYYY-MM-DD HH:MM''
    Specify the begin (start) time for predictions using the ISO 8601 compliant format YYYY-MM-DD HH:MM, where hours range from 00 to 23. The timestamp is in the local time zone for the location, or in UTC if the -z setting is engaged. If clock mode is selected or if no -b is supplied, the current time will be used.

-bc color
    Background color of buttons (default gray80).

-bg color
    Background color for text windows and location chooser (default white).

-cb y|n
    Select whether or not tide clocks should be created with buttons (default n).

-cc color
    Color of dots indicating current stations in the location chooser (default rgb:00/A0/00).

-ch pixels
    Initial height for tide clocks (default 312 pixels).

-cw pixels
    Initial width for tide clocks (default 84 pixels).

-dc color
    Daytime background color in tide graphs (default SkyBlue).

-Dc color
    Color of datum line in tide graphs (default white).

-df ``format-string''
    strftime(3) style format string for printing dates (default %Y-%m-%d). Ignored in calendar mode.

-display ``X display''
    Specify the X display, e.g. "quake:0.0". This overrides the DISPLAY environment variable.

-ec color
    Foreground in tide graphs during outgoing tide (default SeaGreen).

-el y|n
    Select whether or not to draw datum and middle-level lines in tide graphs (default n).

    The National Ocean Service (NOS) defines both Mean Sea Level (MSL) and Mean Tide Level (MTL) in terms of averages taken over observations. The middle-level line is drawn at the midpoint of the theoretical tidal range, which usually corresponds to the mathematical mean level of the predictions. This approximates both MSL and MTL, but, strictly speaking, is equivalent to neither. Moreover, subordinate station offsets may shift the actual mean so that it no longer falls at the midpoint of the tidal range. The datum line is drawn at the zero level of the predictions, which usually corresponds to the station's benchmark, but this too can be rendered inaccurate by subordinate station offsets.

-em pSsMm
    Events to suppress (p = phase of moon, S = sunrise, s = sunset, M = moonrise, m = moonset), or x to suppress none. E.g, to suppress all sun and moon events, set eventmask to the value pSsMm.

-fc color
    Foreground in tide graphs during incoming tide (default Blue).

-fe y|n
    Select whether or not to prefer flat map to round globe location chooser (default n).

-fg color
    Color of text and other notations (default black).

-fn font
    Font used for button labels and verbiage in text windows (default as incoming from X11 or libXaw3dXft). See NOTES.

-ga aspect
    Initial aspect for tide graphs and clocks (default 1.0). This controls not the width or height of the window but rather the relative scaling of the X and Y axes in the plot of the tide curve.

-geometry ``±XOFF±YOFF''
    Specify a position for the window corresponding to the first use of -l. (Width and height are controlled by different settings.)

-gf font
    Font used in graphs and clocks in interactive client (default "embedded"). Does not affect SVG-format output. See NOTES.

-gh pixels
    Initial height for tide graphs (default 312 pixels).

-gl longitude
    Initial center longitude for location chooser. Valid values are -180 -150 -120 -90 -60 -30 0 30 60 90 120 150 and 360. 360 (the default) will pick the longitude with the most tide stations.

-gs d|l|s
    Style of graphs and clocks. Valid values: d (default), l (line), s (semitransparent).

-gt y|n
    Select whether or not to label tenths of units in tide graphs (default n).

-gw pixels
    Initial width for tide graphs (default 960 pixels).

-hf ``format-string''
    strftime(3) style format string for printing hour labels on time axis (default %l).

-in y|n
    Select whether or not to use inferred values for some constituents (default n). For expert use only.

-l ``location name''
    Specify a location for tide predictions. When given to the interactive client, this causes it to start a tide clock for the specified location instead of launching a location chooser on startup. This is useful for starting a tide clock automatically when you log on. Multiple uses of -l will result in multiple tide clocks.

-lw pixels
    Width of line in graph styles l and s (default 2.5 pixels).

-m a|g|k|m|p|r
    Specify mode to be about, graph, clock, medium rare, plain, or raw. The default is clock.

-mc color
    Color of mark line in graphs (default red).

-Mc color
    Color of middle-level line in tide graphs (default yellow).

-mf font
    Monospace font used for location list, text predictions, help windows and about mode text (default "-misc-fixed-medium-r-normal--13-100-100-100-c-70-iso8859-1" (without libXaw3dXft) or "LiberationMono-12" (with libXaw3dXft)). See NOTES.

-ml [-]N.NN(ft|m|kt)
    Specify an initial mark level to be used in prediction windows launched from the command line. The predictions will include the times when the tide level crosses the mark. The mark level also can be specified or changed using the Options menu. Not supported in clock mode. Does not affect windows that are launched from the location chooser. Example usage: -ml -0.25ft

-nc color
    Nighttime background color in tide graphs (default DeepSkyBlue).

-tc color
    Color of dots indicating tide stations in the location chooser (default red).

-tf ``format-string''
    strftime(3) style format string for printing times (default %l:%M %p %Z).

-tl y|n
    Select whether or not to draw depth lines on top of the tide graph (default n).

-to opacity
    Opacity of the fill in graph style s (semitransparent) (default 0.65).

-u ft|m
    Preferred units of length (default no preference).

-v  Print version string and exit.

-z y|n
    Select whether or not to coerce all time zones to UTC (default n).

NOTES
If XTide is built with Xaw3dXft, font names given to XTide must be in fontconfig format (e.g., "Helvetica-10"), rather than the traditional XLFD (e.g., "-*-helvetica-*-r-*-*-10-*-*-*-*-*-*-*"). Also, Xaw3dXft does not return errors if there are problems with a font name; it just loads a default font instead.

SEE ALSO
tide(1), xttpd(8), http://www.flaterco.com/xtide/.